# Michigan.Ods.Sdk.Composites.ExtendedEnrollment.SectionEnrollmentsApi

All URIs are relative to *https://api-mi.doubleline.us:443/ods-int3/composites/v1/2023*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetSectionEnrollments**](SectionEnrollmentsApi.md#getsectionenrollments) | **GET** /mi/ExtendedEnrollment/SectionEnrollments | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetSectionEnrollmentsById**](SectionEnrollmentsApi.md#getsectionenrollmentsbyid) | **GET** /mi/ExtendedEnrollment/SectionEnrollments/{id} | Retrieves a specific resource using the resource&#39;s identifier (using the \&quot;Get By Id\&quot; pattern).
[**GetSectionEnrollmentsByLocalEducationAgency**](SectionEnrollmentsApi.md#getsectionenrollmentsbylocaleducationagency) | **GET** /mi/ExtendedEnrollment/localEducationAgencies/{localEducationAgency_id}/sectionEnrollments | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetSectionEnrollmentsBySchool**](SectionEnrollmentsApi.md#getsectionenrollmentsbyschool) | **GET** /mi/ExtendedEnrollment/schools/{school_id}/sectionEnrollments | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetSectionEnrollmentsByStaff**](SectionEnrollmentsApi.md#getsectionenrollmentsbystaff) | **GET** /mi/ExtendedEnrollment/staffs/{staff_id}/sectionEnrollments | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetSectionEnrollmentsByStudent**](SectionEnrollmentsApi.md#getsectionenrollmentsbystudent) | **GET** /mi/ExtendedEnrollment/students/{student_id}/sectionEnrollments | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).


<a name="getsectionenrollments"></a>
# **GetSectionEnrollments**
> List<SectionEnrollment> GetSectionEnrollments (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, string fields = null, string q = null, string sectionIdentifier = null, string localCourseCode = null, int? schoolId = null, int? schoolYear = null, string sessionName = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 
            var q = q_example;  // string | Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \"[2016-03-07..2016-03-10]\"). (optional) 
            var sectionIdentifier = sectionIdentifier_example;  // string | The local identifier assigned to a section. (optional) 
            var localCourseCode = localCourseCode_example;  // string | The local code assigned by the School that identifies the course offering provided for the instruction of students. (optional) 
            var schoolId = 56;  // int? | The identifier assigned to a school. (optional) 
            var schoolYear = 56;  // int? | The identifier for the school year. (optional) 
            var sessionName = sessionName_example;  // string | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;SectionEnrollment&gt; result = apiInstance.GetSectionEnrollments(offset, limit, minChangeVersion, maxChangeVersion, fields, q, sectionIdentifier, localCourseCode, schoolId, schoolYear, sessionName);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollments: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 
 **q** | **string**| Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \&quot;[2016-03-07..2016-03-10]\&quot;). | [optional] 
 **sectionIdentifier** | **string**| The local identifier assigned to a section. | [optional] 
 **localCourseCode** | **string**| The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
 **schoolId** | **int?**| The identifier assigned to a school. | [optional] 
 **schoolYear** | **int?**| The identifier for the school year. | [optional] 
 **sessionName** | **string**| The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | [optional] 

### Return type

[**List<SectionEnrollment>**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsectionenrollmentsbyid"></a>
# **GetSectionEnrollmentsById**
> SectionEnrollment GetSectionEnrollmentsById (string id, string ifNoneMatch = null, string fields = null)

Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).

This GET operation retrieves a resource by the specified resource identifier.

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifNoneMatch = ifNoneMatch_example;  // string | The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 

            try
            {
                // Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).
                SectionEnrollment result = apiInstance.GetSectionEnrollmentsById(id, ifNoneMatch, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollmentsById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifNoneMatch** | **string**| The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 

### Return type

[**SectionEnrollment**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsectionenrollmentsbylocaleducationagency"></a>
# **GetSectionEnrollmentsByLocalEducationAgency**
> List<SectionEnrollment> GetSectionEnrollmentsByLocalEducationAgency (string localEducationAgencyId, int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, string fields = null, string q = null, string sectionIdentifier = null, string localCourseCode = null, int? schoolId = null, int? schoolYear = null, string sessionName = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsByLocalEducationAgencyExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var localEducationAgencyId = localEducationAgencyId_example;  // string | 
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 
            var q = q_example;  // string | Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \"[2016-03-07..2016-03-10]\"). (optional) 
            var sectionIdentifier = sectionIdentifier_example;  // string | The local identifier assigned to a section. (optional) 
            var localCourseCode = localCourseCode_example;  // string | The local code assigned by the School that identifies the course offering provided for the instruction of students. (optional) 
            var schoolId = 56;  // int? | The identifier assigned to a school. (optional) 
            var schoolYear = 56;  // int? | The identifier for the school year. (optional) 
            var sessionName = sessionName_example;  // string | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;SectionEnrollment&gt; result = apiInstance.GetSectionEnrollmentsByLocalEducationAgency(localEducationAgencyId, offset, limit, minChangeVersion, maxChangeVersion, fields, q, sectionIdentifier, localCourseCode, schoolId, schoolYear, sessionName);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollmentsByLocalEducationAgency: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **localEducationAgencyId** | **string**|  | 
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 
 **q** | **string**| Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \&quot;[2016-03-07..2016-03-10]\&quot;). | [optional] 
 **sectionIdentifier** | **string**| The local identifier assigned to a section. | [optional] 
 **localCourseCode** | **string**| The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
 **schoolId** | **int?**| The identifier assigned to a school. | [optional] 
 **schoolYear** | **int?**| The identifier for the school year. | [optional] 
 **sessionName** | **string**| The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | [optional] 

### Return type

[**List<SectionEnrollment>**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsectionenrollmentsbyschool"></a>
# **GetSectionEnrollmentsBySchool**
> List<SectionEnrollment> GetSectionEnrollmentsBySchool (string schoolId2, int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, string fields = null, string q = null, string sectionIdentifier = null, string localCourseCode = null, int? schoolId = null, int? schoolYear = null, string sessionName = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsBySchoolExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var schoolId2 = schoolId_example;  // string | 
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 
            var q = q_example;  // string | Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \"[2016-03-07..2016-03-10]\"). (optional) 
            var sectionIdentifier = sectionIdentifier_example;  // string | The local identifier assigned to a section. (optional) 
            var localCourseCode = localCourseCode_example;  // string | The local code assigned by the School that identifies the course offering provided for the instruction of students. (optional) 
            var schoolId = 56;  // int? | The identifier assigned to a school. (optional) 
            var schoolYear = 56;  // int? | The identifier for the school year. (optional) 
            var sessionName = sessionName_example;  // string | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;SectionEnrollment&gt; result = apiInstance.GetSectionEnrollmentsBySchool(schoolId2, offset, limit, minChangeVersion, maxChangeVersion, fields, q, sectionIdentifier, localCourseCode, schoolId, schoolYear, sessionName);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollmentsBySchool: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schoolId2** | **string**|  | 
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 
 **q** | **string**| Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \&quot;[2016-03-07..2016-03-10]\&quot;). | [optional] 
 **sectionIdentifier** | **string**| The local identifier assigned to a section. | [optional] 
 **localCourseCode** | **string**| The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
 **schoolId** | **int?**| The identifier assigned to a school. | [optional] 
 **schoolYear** | **int?**| The identifier for the school year. | [optional] 
 **sessionName** | **string**| The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | [optional] 

### Return type

[**List<SectionEnrollment>**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsectionenrollmentsbystaff"></a>
# **GetSectionEnrollmentsByStaff**
> List<SectionEnrollment> GetSectionEnrollmentsByStaff (string staffId, int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, string fields = null, string q = null, string sectionIdentifier = null, string localCourseCode = null, int? schoolId = null, int? schoolYear = null, string sessionName = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsByStaffExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var staffId = staffId_example;  // string | 
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 
            var q = q_example;  // string | Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \"[2016-03-07..2016-03-10]\"). (optional) 
            var sectionIdentifier = sectionIdentifier_example;  // string | The local identifier assigned to a section. (optional) 
            var localCourseCode = localCourseCode_example;  // string | The local code assigned by the School that identifies the course offering provided for the instruction of students. (optional) 
            var schoolId = 56;  // int? | The identifier assigned to a school. (optional) 
            var schoolYear = 56;  // int? | The identifier for the school year. (optional) 
            var sessionName = sessionName_example;  // string | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;SectionEnrollment&gt; result = apiInstance.GetSectionEnrollmentsByStaff(staffId, offset, limit, minChangeVersion, maxChangeVersion, fields, q, sectionIdentifier, localCourseCode, schoolId, schoolYear, sessionName);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollmentsByStaff: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **staffId** | **string**|  | 
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 
 **q** | **string**| Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \&quot;[2016-03-07..2016-03-10]\&quot;). | [optional] 
 **sectionIdentifier** | **string**| The local identifier assigned to a section. | [optional] 
 **localCourseCode** | **string**| The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
 **schoolId** | **int?**| The identifier assigned to a school. | [optional] 
 **schoolYear** | **int?**| The identifier for the school year. | [optional] 
 **sessionName** | **string**| The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | [optional] 

### Return type

[**List<SectionEnrollment>**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsectionenrollmentsbystudent"></a>
# **GetSectionEnrollmentsByStudent**
> List<SectionEnrollment> GetSectionEnrollmentsByStudent (string studentId, int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, string fields = null, string q = null, string sectionIdentifier = null, string localCourseCode = null, int? schoolId = null, int? schoolYear = null, string sessionName = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Composites.ExtendedEnrollment;

namespace Example
{
    public class GetSectionEnrollmentsByStudentExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SectionEnrollmentsApi();
            var studentId = studentId_example;  // string | 
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var fields = fields_example;  // string | Specifies a subset of properties that should be returned for each entity (e.g. \"property1,collection1(collProp1,collProp2)\"). (optional) 
            var q = q_example;  // string | Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \"[2016-03-07..2016-03-10]\"). (optional) 
            var sectionIdentifier = sectionIdentifier_example;  // string | The local identifier assigned to a section. (optional) 
            var localCourseCode = localCourseCode_example;  // string | The local code assigned by the School that identifies the course offering provided for the instruction of students. (optional) 
            var schoolId = 56;  // int? | The identifier assigned to a school. (optional) 
            var schoolYear = 56;  // int? | The identifier for the school year. (optional) 
            var sessionName = sessionName_example;  // string | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;SectionEnrollment&gt; result = apiInstance.GetSectionEnrollmentsByStudent(studentId, offset, limit, minChangeVersion, maxChangeVersion, fields, q, sectionIdentifier, localCourseCode, schoolId, schoolYear, sessionName);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SectionEnrollmentsApi.GetSectionEnrollmentsByStudent: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **studentId** | **string**|  | 
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **fields** | **string**| Specifies a subset of properties that should be returned for each entity (e.g. \&quot;property1,collection1(collProp1,collProp2)\&quot;). | [optional] 
 **q** | **string**| Specifies a query filter expression for the request. Currently only supports range-based queries on dates and numbers (e.g. \&quot;[2016-03-07..2016-03-10]\&quot;). | [optional] 
 **sectionIdentifier** | **string**| The local identifier assigned to a section. | [optional] 
 **localCourseCode** | **string**| The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
 **schoolId** | **int?**| The identifier assigned to a school. | [optional] 
 **schoolYear** | **int?**| The identifier for the school year. | [optional] 
 **sessionName** | **string**| The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | [optional] 

### Return type

[**List<SectionEnrollment>**](SectionEnrollment.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

