# Michigan.Ods.Sdk.Api.StaffREPCredentialsApi

All URIs are relative to *https://api-mi.doubleline.us:443/ods-int3/data/v3/2023*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DeleteStaffREPCredentialById**](StaffREPCredentialsApi.md#deletestaffrepcredentialbyid) | **DELETE** /MI/staffREPCredentials/{id} | Deletes an existing resource using the resource identifier.
[**DeletesStaffREPCredentials**](StaffREPCredentialsApi.md#deletesstaffrepcredentials) | **GET** /MI/staffREPCredentials/deletes | Retrieves deleted resources based on change version.
[**GetStaffREPCredentials**](StaffREPCredentialsApi.md#getstaffrepcredentials) | **GET** /MI/staffREPCredentials | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetStaffREPCredentialsById**](StaffREPCredentialsApi.md#getstaffrepcredentialsbyid) | **GET** /MI/staffREPCredentials/{id} | Retrieves a specific resource using the resource&#39;s identifier (using the \&quot;Get By Id\&quot; pattern).
[**PostStaffREPCredential**](StaffREPCredentialsApi.md#poststaffrepcredential) | **POST** /MI/staffREPCredentials | Creates or updates resources based on the natural key values of the supplied resource.
[**PutStaffREPCredential**](StaffREPCredentialsApi.md#putstaffrepcredential) | **PUT** /MI/staffREPCredentials/{id} | Updates or creates a resource based on the resource identifier.


<a name="deletestaffrepcredentialbyid"></a>
# **DeleteStaffREPCredentialById**
> void DeleteStaffREPCredentialById (string id, string ifMatch = null)

Deletes an existing resource using the resource identifier.

The DELETE operation is used to delete an existing resource by identifier. If the resource doesn't exist, an error will result (the resource will not be found).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class DeleteStaffREPCredentialByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifMatch = ifMatch_example;  // string | The ETag header value used to prevent the DELETE from removing a resource modified by another consumer. (optional) 

            try
            {
                // Deletes an existing resource using the resource identifier.
                apiInstance.DeleteStaffREPCredentialById(id, ifMatch);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.DeleteStaffREPCredentialById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifMatch** | **string**| The ETag header value used to prevent the DELETE from removing a resource modified by another consumer. | [optional] 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletesstaffrepcredentials"></a>
# **DeletesStaffREPCredentials**
> List<MiStaffREPCredential> DeletesStaffREPCredentials (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null)

Retrieves deleted resources based on change version.

The DELETES operation is used to retrieve deleted resources.

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class DeletesStaffREPCredentialsExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 

            try
            {
                // Retrieves deleted resources based on change version.
                List&lt;MiStaffREPCredential&gt; result = apiInstance.DeletesStaffREPCredentials(offset, limit, minChangeVersion, maxChangeVersion);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.DeletesStaffREPCredentials: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 

### Return type

[**List<MiStaffREPCredential>**](MiStaffREPCredential.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getstaffrepcredentials"></a>
# **GetStaffREPCredentials**
> List<MiStaffREPCredential> GetStaffREPCredentials (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, bool? totalCount = null, string credentialFieldDescriptor = null, string credentialTypeDescriptor = null, string gradeLevelDescriptor = null, string repTypeOfCredentialDescriptor = null, string teachingCredentialDescriptor = null, DateTime? credentialIssuanceDate = null, string staffUniqueId = null, string stateOfIssueStateAbbreviationDescriptor = null, string teachingCredentialBasisDescriptor = null, DateTime? credentialExpirationDate = null, string id = null, string professionalCertificateOrLicenseNumber = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class GetStaffREPCredentialsExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var totalCount = true;  // bool? | Indicates if the total number of items available should be returned in the 'Total-Count' header of the response.  If set to false, 'Total-Count' header will not be provided. (optional)  (default to false)
            var credentialFieldDescriptor = credentialFieldDescriptor_example;  // string | The field of certification for the certificate (e.g., Mathematics, Music). (optional) 
            var credentialTypeDescriptor = credentialTypeDescriptor_example;  // string | An indication of the category of credential an individual holds. (optional) 
            var gradeLevelDescriptor = gradeLevelDescriptor_example;  // string | The grade level(s) certified for teaching. (optional) 
            var repTypeOfCredentialDescriptor = repTypeOfCredentialDescriptor_example;  // string | An indication of the category of a legal document giving authorization to perform teaching assignment services. (optional) 
            var teachingCredentialDescriptor = teachingCredentialDescriptor_example;  // string | An indication of the category of a legal document giving authorization to perform teaching assignment services. (optional) 
            var credentialIssuanceDate = 2013-10-20;  // DateTime? | The month, day, and year on which an active credential was issued to an individual. (optional) 
            var staffUniqueId = staffUniqueId_example;  // string | A unique alphanumeric code assigned to a staff. (optional) 
            var stateOfIssueStateAbbreviationDescriptor = stateOfIssueStateAbbreviationDescriptor_example;  // string | The abbreviation for the name of the state (within the United States) or extra-state jurisdiction in which a license/credential was issued. (optional) 
            var teachingCredentialBasisDescriptor = teachingCredentialBasisDescriptor_example;  // string | An indication of the pre-determined criteria for granting the teaching credential that an individual holds. (optional) 
            var credentialExpirationDate = 2013-10-20;  // DateTime? | The month, day, and year on which an active credential held by an individual will expire. (optional) 
            var id = id_example;  // string |  (optional) 
            var professionalCertificateOrLicenseNumber = professionalCertificateOrLicenseNumber_example;  // string | The number issued by the credentialing/licensing agency. (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;MiStaffREPCredential&gt; result = apiInstance.GetStaffREPCredentials(offset, limit, minChangeVersion, maxChangeVersion, totalCount, credentialFieldDescriptor, credentialTypeDescriptor, gradeLevelDescriptor, repTypeOfCredentialDescriptor, teachingCredentialDescriptor, credentialIssuanceDate, staffUniqueId, stateOfIssueStateAbbreviationDescriptor, teachingCredentialBasisDescriptor, credentialExpirationDate, id, professionalCertificateOrLicenseNumber);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.GetStaffREPCredentials: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **totalCount** | **bool?**| Indicates if the total number of items available should be returned in the &#39;Total-Count&#39; header of the response.  If set to false, &#39;Total-Count&#39; header will not be provided. | [optional] [default to false]
 **credentialFieldDescriptor** | **string**| The field of certification for the certificate (e.g., Mathematics, Music). | [optional] 
 **credentialTypeDescriptor** | **string**| An indication of the category of credential an individual holds. | [optional] 
 **gradeLevelDescriptor** | **string**| The grade level(s) certified for teaching. | [optional] 
 **repTypeOfCredentialDescriptor** | **string**| An indication of the category of a legal document giving authorization to perform teaching assignment services. | [optional] 
 **teachingCredentialDescriptor** | **string**| An indication of the category of a legal document giving authorization to perform teaching assignment services. | [optional] 
 **credentialIssuanceDate** | **DateTime?**| The month, day, and year on which an active credential was issued to an individual. | [optional] 
 **staffUniqueId** | **string**| A unique alphanumeric code assigned to a staff. | [optional] 
 **stateOfIssueStateAbbreviationDescriptor** | **string**| The abbreviation for the name of the state (within the United States) or extra-state jurisdiction in which a license/credential was issued. | [optional] 
 **teachingCredentialBasisDescriptor** | **string**| An indication of the pre-determined criteria for granting the teaching credential that an individual holds. | [optional] 
 **credentialExpirationDate** | **DateTime?**| The month, day, and year on which an active credential held by an individual will expire. | [optional] 
 **id** | **string**|  | [optional] 
 **professionalCertificateOrLicenseNumber** | **string**| The number issued by the credentialing/licensing agency. | [optional] 

### Return type

[**List<MiStaffREPCredential>**](MiStaffREPCredential.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getstaffrepcredentialsbyid"></a>
# **GetStaffREPCredentialsById**
> MiStaffREPCredential GetStaffREPCredentialsById (string id, string ifNoneMatch = null)

Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).

This GET operation retrieves a resource by the specified resource identifier.

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class GetStaffREPCredentialsByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifNoneMatch = ifNoneMatch_example;  // string | The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. (optional) 

            try
            {
                // Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).
                MiStaffREPCredential result = apiInstance.GetStaffREPCredentialsById(id, ifNoneMatch);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.GetStaffREPCredentialsById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifNoneMatch** | **string**| The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. | [optional] 

### Return type

[**MiStaffREPCredential**](MiStaffREPCredential.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="poststaffrepcredential"></a>
# **PostStaffREPCredential**
> void PostStaffREPCredential (MiStaffREPCredential staffREPCredential)

Creates or updates resources based on the natural key values of the supplied resource.

The POST operation can be used to create or update resources. In database terms, this is often referred to as an \"upsert\" operation (insert + update). Clients should NOT include the resource \"id\" in the JSON body because it will result in an error (you must use a PUT operation to update a resource by \"id\"). The web service will identify whether the resource already exists based on the natural key values provided, and update or create the resource appropriately.

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class PostStaffREPCredentialExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var staffREPCredential = new MiStaffREPCredential(); // MiStaffREPCredential | The JSON representation of the \"staffREPCredential\" resource to be created or updated.

            try
            {
                // Creates or updates resources based on the natural key values of the supplied resource.
                apiInstance.PostStaffREPCredential(staffREPCredential);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.PostStaffREPCredential: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **staffREPCredential** | [**MiStaffREPCredential**](MiStaffREPCredential.md)| The JSON representation of the \&quot;staffREPCredential\&quot; resource to be created or updated. | 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="putstaffrepcredential"></a>
# **PutStaffREPCredential**
> void PutStaffREPCredential (string id, MiStaffREPCredential staffREPCredential, string ifMatch = null)

Updates or creates a resource based on the resource identifier.

The PUT operation is used to update or create a resource by identifier. If the resource doesn't exist, the resource will be created using that identifier. Additionally, natural key values cannot be changed using this operation, and will not be modified in the database.  If the resource \"id\" is provided in the JSON body, it will be ignored as well.

### Example
```csharp
using System;
using System.Diagnostics;
using Michigan.Ods.Sdk.Api;
using Michigan.Ods.Sdk.Client;
using Michigan.Ods.Sdk.Models;

namespace Example
{
    public class PutStaffREPCredentialExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new StaffREPCredentialsApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var staffREPCredential = new MiStaffREPCredential(); // MiStaffREPCredential | The JSON representation of the \"staffREPCredential\" resource to be created or updated.
            var ifMatch = ifMatch_example;  // string | The ETag header value used to prevent the PUT from updating a resource modified by another consumer. (optional) 

            try
            {
                // Updates or creates a resource based on the resource identifier.
                apiInstance.PutStaffREPCredential(id, staffREPCredential, ifMatch);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling StaffREPCredentialsApi.PutStaffREPCredential: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **staffREPCredential** | [**MiStaffREPCredential**](MiStaffREPCredential.md)| The JSON representation of the \&quot;staffREPCredential\&quot; resource to be created or updated. | 
 **ifMatch** | **string**| The ETag header value used to prevent the PUT from updating a resource modified by another consumer. | [optional] 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

